Bug 97072 - Missing header files
Missing header files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-09 17:43 EDT by Daniel Israel
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
add the C headers file for ImageMagick-devel package (2.42 KB, patch)
2003-09-17 02:41 EDT, Gilles J. Seguin
no flags Details | Diff

  None (edit)
Description Daniel Israel 2003-06-09 17:43:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The C header files (which are normally in the /usr/include/X11/magick directory)
are not present.  The only header file is Magick++.h (presumably a C++ header
which should be in the ImageMagick-c++-devel package).  The ImageMagick package
as distributed by ImageMagick.org has the following header files:
/usr/include/magick/PreRvIcccm.h
/usr/include/magick/api.h
/usr/include/magick/attribute.h
/usr/include/magick/blob.h
/usr/include/magick/cache.h
/usr/include/magick/cache_view.h
/usr/include/magick/command.h
/usr/include/magick/compress.h
/usr/include/magick/delegate.h
/usr/include/magick/deprecate.h
/usr/include/magick/draw.h
/usr/include/magick/error.h
/usr/include/magick/gem.h
/usr/include/magick/image.h
/usr/include/magick/list.h
/usr/include/magick/log.h
/usr/include/magick/magic.h
/usr/include/magick/magick.h
/usr/include/magick/magick_config.h
/usr/include/magick/module.h
/usr/include/magick/monitor.h
/usr/include/magick/paint.h
/usr/include/magick/quantize.h
/usr/include/magick/registry.h
/usr/include/magick/render.h
/usr/include/magick/resource.h
/usr/include/magick/semaphore.h
/usr/include/magick/signature.h
/usr/include/magick/timer.h
/usr/include/magick/utility.h
/usr/include/magick/version.h
/usr/include/magick/widget.h
/usr/include/magick/xwindow.h


Version-Release number of selected component (if applicable):
ImageMagick-devel 5.4.7-5 

How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:
Comment 1 Jan Rychter 2003-08-17 01:38:15 EDT
I was just about to report the same bug, having just gotten bitten by this.

I won't file duplicates, let's hope this one will get resolved soon.
Comment 2 Gilles J. Seguin 2003-09-17 02:41:19 EDT
Created attachment 94549 [details]
add the C headers file for ImageMagick-devel package

The report suggest that missing C headers file are install in
/usr/include/magick directory by the 'make install' command line.
In fact version 5.4.7 install then in the directory 
/usr/X11R6/include/X11/magick/magick but are still missing from
the ImageMagick-devel package.
More recent version of this package have corrected some of thoses problem
#78242 #79783 #62157
I does not known if moving the C and C++ headers is a desirable thing
to do for RH8.
Scripts are suppose to utilize /usr/lib/Magick-config to find headers and
libraries. Comment.
Comment 3 Matthias Clasen 2006-07-27 15:30:30 EDT
Red Hat 8 is no longer supported. Please file another bug against a supported
product if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.